Fix smbget password interactive authentication
resolves: RHEL-19243
This commit is contained in:
parent
72decf58c6
commit
e18484a6e0
1065
samba-4.19-fix-smbget-auth.patch
Normal file
1065
samba-4.19-fix-smbget-auth.patch
Normal file
File diff suppressed because it is too large
Load Diff
106
samba-4.19-fix-smbget-debug.patch
Normal file
106
samba-4.19-fix-smbget-debug.patch
Normal file
@ -0,0 +1,106 @@
|
||||
From 21d8c1b2dabf8dd5a65de14816c6701e9c81de44 Mon Sep 17 00:00:00 2001
|
||||
From: Andreas Schneider <asn@samba.org>
|
||||
Date: Tue, 5 Dec 2023 15:46:48 +0100
|
||||
Subject: [PATCH 1/2] s3:tests: Add smbget test for
|
||||
smb://DOAMIN;user%password@server/share/file
|
||||
|
||||
This is supported according to the smbget manpage!
|
||||
|
||||
BUG: https://bugzilla.samba.org/show_bug.cgi?id=15525
|
||||
|
||||
Signed-off-by: Andreas Schneider <asn@samba.org>
|
||||
Reviewed-by: Andrew Bartlett <abartlet@samba.org>
|
||||
(cherry picked from commit e5fe856e76eba26e3b85a391bcea02dfe045c26e)
|
||||
---
|
||||
source3/script/tests/test_smbget.sh | 20 ++++++++++++++++++++
|
||||
1 file changed, 20 insertions(+)
|
||||
|
||||
diff --git a/source3/script/tests/test_smbget.sh b/source3/script/tests/test_smbget.sh
|
||||
index 46c1f4a68a5..bdc62a71eff 100755
|
||||
--- a/source3/script/tests/test_smbget.sh
|
||||
+++ b/source3/script/tests/test_smbget.sh
|
||||
@@ -145,6 +145,22 @@ test_singlefile_smburl()
|
||||
return 0
|
||||
}
|
||||
|
||||
+test_singlefile_smburl2()
|
||||
+{
|
||||
+ clear_download_area
|
||||
+ $SMBGET "smb://$DOMAIN;$USERNAME:$PASSWORD@$SERVER_IP/smbget/testfile"
|
||||
+ if [ $? -ne 0 ]; then
|
||||
+ echo 'ERROR: RC does not match, expected: 0'
|
||||
+ return 1
|
||||
+ fi
|
||||
+ cmp --silent $WORKDIR/testfile ./testfile
|
||||
+ if [ $? -ne 0 ]; then
|
||||
+ echo 'ERROR: file content does not match'
|
||||
+ return 1
|
||||
+ fi
|
||||
+ return 0
|
||||
+}
|
||||
+
|
||||
test_singlefile_authfile()
|
||||
{
|
||||
clear_download_area
|
||||
@@ -499,6 +515,10 @@ testit "download single file with --update and UPN" test_singlefile_U_UPN ||
|
||||
testit "download single file with smb URL" test_singlefile_smburl ||
|
||||
failed=$(expr $failed + 1)
|
||||
|
||||
+testit "download single file with smb URL including domain" \
|
||||
+ test_singlefile_smburl2 ||
|
||||
+ failed=$(expr $failed + 1)
|
||||
+
|
||||
testit "download single file with authfile" test_singlefile_authfile ||
|
||||
failed=$(expr $failed + 1)
|
||||
|
||||
--
|
||||
2.43.0
|
||||
|
||||
|
||||
From e19fa9d75ee70ec23e70f166ee70241c116f7bf5 Mon Sep 17 00:00:00 2001
|
||||
From: Andreas Schneider <asn@samba.org>
|
||||
Date: Wed, 6 Dec 2023 08:48:34 +0100
|
||||
Subject: [PATCH 2/2] s3:utils: Fix setting the debug level
|
||||
|
||||
BUG: https://bugzilla.samba.org/show_bug.cgi?id=15525
|
||||
|
||||
Signed-off-by: Andreas Schneider <asn@samba.org>
|
||||
Reviewed-by: Andrew Bartlett <abartlet@samba.org>
|
||||
(cherry picked from commit 763b2efe69dc74e1c0cd954607031012f832486d)
|
||||
---
|
||||
source3/utils/smbget.c | 6 +++++-
|
||||
1 file changed, 5 insertions(+), 1 deletion(-)
|
||||
|
||||
diff --git a/source3/utils/smbget.c b/source3/utils/smbget.c
|
||||
index 5c99dcf918a..8d98ba24602 100644
|
||||
--- a/source3/utils/smbget.c
|
||||
+++ b/source3/utils/smbget.c
|
||||
@@ -849,6 +849,7 @@ int main(int argc, char **argv)
|
||||
uint32_t gensec_features;
|
||||
bool use_wbccache = false;
|
||||
SMBCCTX *smb_ctx = NULL;
|
||||
+ int dbg_lvl = -1;
|
||||
int rc;
|
||||
|
||||
smb_init_locale();
|
||||
@@ -922,13 +923,16 @@ int main(int argc, char **argv)
|
||||
|
||||
samba_cmdline_burn(argc, argv);
|
||||
|
||||
+ /* smbc_new_context() will set the log level to 0 */
|
||||
+ dbg_lvl = debuglevel_get();
|
||||
+
|
||||
smb_ctx = smbc_new_context();
|
||||
if (smb_ctx == NULL) {
|
||||
fprintf(stderr, "Unable to initialize libsmbclient\n");
|
||||
ok = false;
|
||||
goto done;
|
||||
}
|
||||
- smbc_setDebug(smb_ctx, debuglevel_get());
|
||||
+ smbc_setDebug(smb_ctx, dbg_lvl);
|
||||
|
||||
rc = smbc_setConfiguration(smb_ctx, lp_default_path());
|
||||
if (rc < 0) {
|
||||
--
|
||||
2.43.0
|
||||
|
@ -244,6 +244,8 @@ Source201: README.downgrade
|
||||
Source202: samba.abignore
|
||||
|
||||
Patch0: samba-4.19-fix-force-user-trusted-domains.patch
|
||||
Patch1: samba-4.19-fix-smbget-debug.patch
|
||||
Patch2: samba-4.19-fix-smbget-auth.patch
|
||||
|
||||
Requires(pre): /usr/sbin/groupadd
|
||||
|
||||
@ -4485,6 +4487,7 @@ fi
|
||||
- resolves: RHEL-1960 - Fix smbget issues with DFS shares
|
||||
- resolves: RHEL-2118 - Fix force user/group issues with 'allow trusted domains = yes'
|
||||
- resolves: RHEL-16875 - Fix memory corruption in libnss_winbind
|
||||
- resolves: RHEL-19243 - Fix smbget password interactive authentication
|
||||
|
||||
* Thu Aug 17 2023 Andreas Schneider <asn@redhat.com> - 4.18.6-100
|
||||
- related: rhbz#2190415 - Update to version 4.18.6
|
||||
|
Loading…
Reference in New Issue
Block a user